Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python2.7(setuptools) python2.7(wsgiref)
# END SourceDeps(oneline)
%define oldname python-webtest1.3
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-webtest1.3
Version:        1.3.4
Release:        alt1_17
Summary:        Helper to test WSGI applications

License:        MIT
URL:            http://pythonpaste.org/webtest/
Source0:        http://pypi.python.org/packages/source/W/WebTest/WebTest-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-nose
BuildRequires:  python-module-webob
BuildRequires:  python-module-dtopt
Requires:       python-module-webob
Source44: import.info

%description
WebTest wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

This provides convenient full-stack testing of applications written
with any WSGI-compatible framework.

%prep
%setup -q -n WebTest-%{version}
rm -rf *.egg-info

# This removes some doctest parameters that cause our check section to fail
rm setup.cfg

%build
%{__python} setup.py build bdist_egg

%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg

# Fix script-without-shebang
find %{buildroot}%{python_sitelibdir_noarch} -name "*.py" -exec chmod a-x {} \;

%check
PYTHONPATH=$(pwd) %{__python} setup.py test

%files
%doc docs/*
%{python_sitelibdir_noarch}/WebTest-%{version}*.egg/


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.4-alt1_17
- update to new release by fcimport

* Wed Oct 03 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.4-alt1_16
- update to new release by fcimport

* Tue May 31 2016 Igor Vlasenko <viy@altlinux.ru> 1.3.4-alt1_9
- converted for ALT Linux by srpmconvert tools

* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.4-alt1_4
- initial fc import

